#!/usr/bin/perl
#

use MIME::Base64;
use JSON;

use REST::Client;


# set set up some defaults:

my $REST_REV = "v1.0";
my $master = 'https://api.turbo-smtp.com/api/mail/send';
my $user = 'username@turbo-smtp.com';
my $pass = 'insertepasswordhere';
my $fromField = 'SENDER_MAIL_ADDRESS';    #INSERT A VALID EMAIL ADDRESS
my $toField = 'DESTINATION_MAIL_ADDRESS'; #INSERT A VALID EMAIL ADDRESS
my $subjectField = 'Perl Test TurboAPI Send(email) : campo SUBJECT';
my $htmlContentField = 'Perl Test TurboAPI Send(email) : campo HTML CONTENT';

$ENV{'PERL_LWP_SSL_VERIFY_HOSTNAME'} = 0;

my $client = REST::Client->new();

# set up the headers and default params
my $headers = {	
	'Content-type' => 'application/json',  
	authuser => $user, 
    authpass => $pass
};

my $mail_data_hash = {
    'from' => $fromField,
    'to' => $toField,
    'subject' => $subjectField,
    'html_content' => $htmlContentField    
};
my $mail_data_json = encode_json $mail_data_hash;  

 
$params = $mail_data_json; 

# set up a REST session
$client->POST(
    $master,
    $params,
    $headers
);


my $responce_data = $client->responseContent();

print "response_data = " . $responce_data . "\n\n";

print "request_data = " . $params . "\n\n";


